//----------------------------------------------------------------------------
//
// Copyright (C) Sartorius Stedim Data Analytics AB 2017 -
//
// Use, modification and distribution are subject to the Boost Software
// License, Version 1.0. (See http://www.boost.org/LICENSE_1_0.txt)
//
//----------------------------------------------------------------------------

// SQPPlusCOMSample.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "SQPPlusCOMSample.h"
#include "SQPPlusCOMSampleDlg.h"

/////////////////////////////////////////////////////////////////////////////
// CSQPPlusCOMSampleApp

BEGIN_MESSAGE_MAP(CSQPPlusCOMSampleApp, CWinApp)
   ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSQPPlusCOMSampleApp construction

CSQPPlusCOMSampleApp::CSQPPlusCOMSampleApp()
{
}

/////////////////////////////////////////////////////////////////////////////
// The one and only CSQPPlusCOMSampleApp object

CSQPPlusCOMSampleApp theApp;

/////////////////////////////////////////////////////////////////////////////
// CSQPPlusCOMSampleApp initialization

BOOL CSQPPlusCOMSampleApp::InitInstance()
{
   CoInitializeEx(NULL, COINIT_SPEED_OVER_MEMORY);
   AfxEnableControlContainer();

   CSQPPlusCOMSampleDlg dlg;

   m_pMainWnd = &dlg;

   dlg.DoModal();

   // Since the dialog has been closed, return FALSE so that we exit the
   //  application, rather than start the application's message pump.
   return FALSE;
}

int CSQPPlusCOMSampleApp::ExitInstance(void)
{
   int iRet = CWinApp::ExitInstance();

   // UnInit COM
   CoUninitialize();

   return iRet;
}
